| Home | Libraries | People | FAQ | More

#### ssl::stream::io_service

(Deprecated: use get_io_service().) Get the io_service associated with the object.

    boost::asio::io_service & io_service();

This function may be used to obtain the io_service object that the stream uses to dispatch handlers for asynchronous operations.

###### Return Value

A reference to the io_service object that stream will use to dispatch handlers. Ownership is not transferred to the caller.